#include <wx/stdpaths.h>
#include <wx/filename.h>
#include "dir.h"

wxString Dir::getAppDir()
{
    wxString appPath = wxStandardPaths::Get().GetExecutablePath();
    wxString drive, directory;
    wxFileName::SplitPath ( appPath, &drive, &directory, NULL, NULL );
    return
#ifdef __WXMSW__
        drive + _T(":") +
#endif
        directory +
#ifndef __WXMSW__
        wxFileName::GetPathSeparator() +
        _T("..") +
        wxFileName::GetPathSeparator() +
        _T("share") +
        wxFileName::GetPathSeparator() +
        _T("smasher") +
#endif
        wxFileName::GetPathSeparator();
}

wxString Dir::getSamplesDir()
{
    wxString s = getAppDir() + _T("samples") + wxFileName::GetPathSeparator();
    return s;
}

wxString Dir::getPresetsDir()
{
    wxString s = getAppDir() + _T("presets") + wxFileName::GetPathSeparator();
    return s;
}

/* exp
wxString Dir::getUserPresetDir()
{
    wxString userPresetPath = wxStandardPaths::Get().GetUserConfigDir();
    userPresetPath += wxFileName::GetPathSeparator();

    wxString drive, directory;
    wxFileName::SplitPath ( userPresetPath, &drive, &directory, NULL, NULL );

    wxString ret =
#ifdef __WXMSW__
        drive + _T(":") +
#endif
    directory;

    return ret;
}
*/

